<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFTableCell (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFTableCell (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFTableCell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFTableCell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFTableCell" class="title">Class XWPFTableCell</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xwpf.usermodel.XWPFTableCell</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                           title="interface in org.apache.poi.xwpf.usermodel">IBody</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ICell</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFTableCell</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
              title="interface in org.apache.poi.xwpf.usermodel">IBody</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                            title="interface in org.apache.poi.xwpf.usermodel">ICell</a></pre>
                <div class="block">Represents a Cell within a <a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                        title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>. The
                    Cell is the thing that holds the actual content (paragraphs etc)
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#bodyElements">bodyElements</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#paragraphs">paragraphs</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#part">part</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#tables">tables</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#XWPFTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-org.apache.poi.xwpf.usermodel.XWPFTableRow-org.apache.poi.xwpf.usermodel.IBody-">XWPFTableCell</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFTableRow</a>&nbsp;tableRow,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                       title="interface in org.apache.poi.xwpf.usermodel">IBody</a>&nbsp;part)</code>
                                    <div class="block">If a table cell does not include at least one block-level
                                        element, then this document shall be considered corrupt
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#addParagraph--">addParagraph</a></span>()</code>
                                    <div class="block">Add a Paragraph to this Table Cell</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#addParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">addParagraph</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;p)</code>
                                    <div class="block">add a Paragraph to this TableCell</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getBodyElements--">getBodyElements</a></span>()</code>
                                    <div class="block">returns an Iterator with paragraphs and tables</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getColor--">getColor</a></span>()</code>
                                    <div class="block">Get cell color.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getCTTc--">getCTTc</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP&nbsp;p)</code>
                                    <div class="block">if there is a corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        of the parameter ctTable in the paragraphList of this table
                                        the method will return this paragraph
                                        if there is no corresponding <a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        the method will return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getParagraphArray-int-">getParagraphArray</a></span>(int&nbsp;pos)</code>
                                    <div class="block">Returns the paragraph that of position pos</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getParagraphs--">getParagraphs</a></span>()</code>
                                    <div class="block">returns a list of paragraphs</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getPart--">getPart</a></span>()</code>
                                    <div class="block">get the to which the TableCell belongs</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">BodyType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getPartType--">getPartType</a></span>()</code>
                                    <div class="block">get the PartType of the body, for example
                                        DOCUMENT, HEADER, FOOTER, FOOTNOTE,
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl&nbsp;ctTable)</code>
                                    <div class="block">get a table by its CTTbl-Object</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTableArray-int-">getTableArray</a></span>(int&nbsp;pos)</code>
                                    <div class="block">Returns the table at position pos</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</code>
                                    <div class="block">get the TableCell which belongs to the TableCell</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableRow</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTableRow--">getTableRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTables--">getTables</a></span>()</code>
                                    <div class="block">Return the table(s) that holds the text
                                        of the IBodyPart, for complex cases
                                        where a paragraph isn't used.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTcPr</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTcPr--">getTcPr</a></span>()</code>
                                    <div class="block">Get the cell properties for the cell.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getText--">getText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getTextRecursively--">getTextRecursively</a></span>()</code>
                                    <div class="block">extracts all text recursively through embedded tables and
                                        embedded SDTs
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getVerticalAlignment--">getVerticalAlignment</a></span>()</code>
                                    <div class="block">Get the vertical alignment of the cell.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getWidth--">getWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getWidthDecimal--">getWidthDecimal</a></span>()</code>
                                    <div class="block">Get the table width as a decimal value.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/TableWidthType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">TableWidthType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getWidthType--">getWidthType</a></span>()</code>
                                    <div class="block">Get the width type for the table, as an
                                        <code>STTblWidth.Enum</code> value.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#getXWPFDocument--">getXWPFDocument</a></span>()</code>
                                    <div class="block">Return XWPFDocument</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a></span>(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</code>
                                    <div class="block">add a new paragraph at position of the cursor</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a></span>(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</code>
                                    <div class="block">inserts a new Table at the cursor position.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a></span>(int&nbsp;pos,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</code>
                                    <div class="block">inserts an existing XWPFTable to the arrays bodyElements and
                                        tables
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#removeParagraph-int-">removeParagraph</a></span>(int&nbsp;pos)</code>
                                    <div class="block">removes a paragraph of this tablecell</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#setColor-java.lang.String-">setColor</a></span>(java.lang.String&nbsp;rgbStr)</code>
                                    <div class="block">Set cell color.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#setParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">setParagraph</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;p)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#setVerticalAlignment-org.apache.poi.xwpf.usermodel.XWPFTableCell.XWPFVertAlign-">setVerticalAlignment</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a>&nbsp;vAlign)</code>
                                    <div class="block">Set the vertical alignment of the cell.</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#setWidth-java.lang.String-">setWidth</a></span>(java.lang.String&nbsp;widthValue)</code>
                                    <div class="block">Set the width to the value "auto", an integer value (20ths of a
                                        point), or a percentage ("nn.nn%").
                                    </div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html#setWidthType-org.apache.poi.xwpf.usermodel.TableWidthType-">setWidthType</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/TableWidthType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">TableWidthType</a>&nbsp;widthType)</code>
                                    <div class="block">Set the width value type for the table.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="paragraphs">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>paragraphs</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt; paragraphs</pre>
                            </li>
                        </ul>
                        <a name="tables">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>tables</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt; tables</pre>
                            </li>
                        </ul>
                        <a name="bodyElements">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>bodyElements</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt; bodyElements</pre>
                            </li>
                        </ul>
                        <a name="part">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>part</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                       title="interface in org.apache.poi.xwpf.usermodel">IBody</a> part</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-org.apache.poi.xwpf.usermodel.XWPFTableRow-org.apache.poi.xwpf.usermodel.IBody-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFTableCell</h4>
                                <pre>public&nbsp;XWPFTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell,
                     <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html"
                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableRow</a>&nbsp;tableRow,
                     <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                        title="interface in org.apache.poi.xwpf.usermodel">IBody</a>&nbsp;part)</pre>
                                <div class="block">If a table cell does not include at least one block-level element,
                                    then this document shall be considered corrupt
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCTTc--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTTc</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;getCTTc()</pre>
                            </li>
                        </ul>
                        <a name="getBodyElements--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBodyElements</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;&nbsp;getBodyElements()</pre>
                                <div class="block">returns an Iterator with paragraphs and tables</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getBodyElements--">getBodyElements</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getBodyElements--"><code>IBody.getBodyElements()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setParagraph</h4>
                                <pre>public&nbsp;void&nbsp;setParagraph(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;p)</pre>
                            </li>
                        </ul>
                        <a name="getParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphs</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;&nbsp;getParagraphs()</pre>
                                <div class="block">returns a list of paragraphs</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphs--">getParagraphs</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addParagraph--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;addParagraph()</pre>
                                <div class="block">Add a Paragraph to this Table Cell</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The paragraph which was added</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addParagraph</h4>
                                <pre>public&nbsp;void&nbsp;addParagraph(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;p)</pre>
                                <div class="block">add a Paragraph to this TableCell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>p</code> - the paragaph which has to be added</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeParagraph-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeParagraph</h4>
                                <pre>public&nbsp;void&nbsp;removeParagraph(int&nbsp;pos)</pre>
                                <div class="block">removes a paragraph of this tablecell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pos</code> - The position in the list of paragraphs, 0-based</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;getParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP&nbsp;p)</pre>
                                <div class="block">if there is a corresponding <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a> of
                                    the parameter ctTable in the paragraphList of this table
                                    the method will return this paragraph
                                    if there is no corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                    the method will return null
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>p</code> - is instance of CTP and is searching for an XWPFParagraph</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>null if there is no XWPFParagraph with an corresponding CTPparagraph in the
                                        paragraphList of this table
                                        XWPFParagraph with the correspondig CTP p
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTableRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableRow</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableRow</a>&nbsp;getTableRow()</pre>
                            </li>
                        </ul>
                        <a name="getColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getColor()</pre>
                                <div class="block">Get cell color. Note that this method only returns the "fill"
                                    value.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>RGB string of cell color</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColor-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColor</h4>
                                <pre>public&nbsp;void&nbsp;setColor(java.lang.String&nbsp;rgbStr)</pre>
                                <div class="block">Set cell color. This sets some associated values; for finer control
                                    you may want to access these elements individually.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rgbStr</code> - - the desired cell color, in the hex form "RRGGBB".</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVerticalAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalAlignment</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a>&nbsp;getVerticalAlignment()</pre>
                                <div class="block">Get the vertical alignment of the cell.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell alignment enum value or <code>null</code>
                                        if no vertical alignment is set.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalAlignment-org.apache.poi.xwpf.usermodel.XWPFTableCell.XWPFVertAlign-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setVerticalAlignment(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a>&nbsp;vAlign)</pre>
                                <div class="block">Set the vertical alignment of the cell.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>vAlign</code> - - the desired alignment enum value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertNewParagraph-org.apache.xmlbeans.XmlCursor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;insertNewParagraph(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</pre>
                                <div class="block">add a new paragraph at position of the cursor</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cursor</code> - The XmlCursor structure created with XmlBeans</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the inserted paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertNewTbl-org.apache.xmlbeans.XmlCursor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewTbl</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;insertNewTbl(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">IBody</a></code></span>
                                </div>
                                <div class="block">inserts a new Table at the cursor position.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraphArray-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphArray</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;getParagraphArray(int&nbsp;pos)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphArray-int-">IBody</a></code></span>
                                </div>
                                <div class="block">Returns the paragraph that of position pos</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphArray-int-">getParagraphArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphArray-int-"><code>IBody.getParagraphArray(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPart</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;getPart()</pre>
                                <div class="block">get the to which the TableCell belongs</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPart--">getPart</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Part, to which the body belongs</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPart--"><code>IBody.getPart()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPartType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPartType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/BodyType.html"
                                                    title="enum in org.apache.poi.xwpf.usermodel">BodyType</a>&nbsp;getPartType()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPartType--">IBody</a></code></span>
                                </div>
                                <div class="block">get the PartType of the body, for example
                                    DOCUMENT, HEADER, FOOTER, FOOTNOTE,
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPartType--">getPartType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the PartType of the body</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPartType--"><code>IBody.getPartType()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTable(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl&nbsp;ctTable)</pre>
                                <div class="block">get a table by its CTTbl-Object</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-"><code>IBody.getTable(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTableArray-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableArray</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTableArray(int&nbsp;pos)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableArray-int-">IBody</a></code></span>
                                </div>
                                <div class="block">Returns the table at position pos</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableArray-int-">getTableArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableArray-int-"><code>IBody.getTableArray(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTables--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTables</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;&nbsp;getTables()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTables--">IBody</a></code></span>
                                </div>
                                <div class="block">Return the table(s) that holds the text
                                    of the IBodyPart, for complex cases
                                    where a paragraph isn't used.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTables--">getTables</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTables--"><code>IBody.getTables()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertTable</h4>
                                <pre>public&nbsp;void&nbsp;insertTable(int&nbsp;pos,
                        <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</pre>
                                <div class="block">inserts an existing XWPFTable to the arrays bodyElements and tables
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-"><code>IBody.insertTable(int,
                                            org.apache.poi.xwpf.usermodel.XWPFTable)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>public&nbsp;void&nbsp;setText(java.lang.String&nbsp;text)</pre>
                            </li>
                        </ul>
                        <a name="getTextRecursively--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextRecursively</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTextRecursively()</pre>
                                <div class="block">extracts all text recursively through embedded tables and embedded
                                    SDTs
                                </div>
                            </li>
                        </ul>
                        <a name="getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;getTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</pre>
                                <div class="block">get the TableCell which belongs to the TableCell</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXWPFDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXWPFDocument</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;getXWPFDocument()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getXWPFDocument--">IBody</a></code></span>
                                </div>
                                <div class="block">Return XWPFDocument</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getXWPFDocument--">getXWPFDocument</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidthDecimal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidthDecimal</h4>
                                <pre>public&nbsp;double&nbsp;getWidthDecimal()</pre>
                                <div class="block">Get the table width as a decimal value.
                                    <p>If the width type is DXA or AUTO, then the value will always have
                                        a fractional part of zero (because these values are really integers).
                                        If the with type is percentage, then value may have a non-zero fractional
                                        part.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Width value as a double-precision decimal.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidthType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidthType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/TableWidthType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">TableWidthType</a>&nbsp;getWidthType()</pre>
                                <div class="block">Get the width type for the table, as an <code>STTblWidth.Enum</code>
                                    value.
                                    A table width can be specified as an absolute measurement (an integer
                                    number of twips), a percentage, or the value "AUTO".
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The width type.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setWidth-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWidth</h4>
                                <pre>public&nbsp;void&nbsp;setWidth(java.lang.String&nbsp;widthValue)</pre>
                                <div class="block">Set the width to the value "auto", an integer value (20ths of a
                                    point), or a percentage ("nn.nn%").
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>widthValue</code> - String matching one of "auto", [0-9]+, or
                                        [0-9]+(\.[0-9]+)%.
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTcPr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTcPr</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTcPr&nbsp;getTcPr()</pre>
                                <div class="block">Get the cell properties for the cell.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The cell properties</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setWidthType-org.apache.poi.xwpf.usermodel.TableWidthType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWidthType</h4>
                                <pre>public&nbsp;void&nbsp;setWidthType(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/TableWidthType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">TableWidthType</a>&nbsp;widthType)</pre>
                                <div class="block">Set the width value type for the table.
                                    <p>If the width type is changed from the current type and the currently-set value
                                        is not consistent with the new width type, the value is reset to the default
                                        value
                                        for the specified width type.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>widthType</code> - Width type</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getWidth</h4>
                                <pre>public&nbsp;int&nbsp;getWidth()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFTableCell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFTableCell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
